Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 430 - incomplete package name for util-linux
Summary: incomplete package name for util-linux
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.1rC
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-15 16:12 UTC by Jeff Johnson
Modified: 2015-10-22 14:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-16 16:35:11 UTC


Attachments (Terms of Use)

Description Jeff Johnson 1998-12-15 16:12:29 UTC
The component is listed as util, not util-linux

Comment 1 Jeff Johnson 1998-12-15 16:33:59 UTC
ditto net-tools and probably all packages that had a -

Your RE to strip package names from list of rpm's should
be

	echo `basename rpmname` |
	sed -e 's,\(.*)-\([^-]*\)-\([^.-]*\).*$,\1,'

(Basically the RE is pinned on the right side and the last 2 '-'
characters are guaranteed to surround the version, so \1 is name,
\2 is version, and \3 is release)

Comment 2 Need Real Name 1998-12-16 16:35:59 UTC
thanks for the regex -- all of the *-* packages should be in bugzilla
now.

Comment 3 openshift-github-bot 2015-10-22 14:39:08 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/7e05ebfaaede134c91ce9ccb2e91add833a62e31
Merge pull request #1070 from bfallonf/issue_430

GH issue #430: added links to kube docs on liveness checks


Note You need to log in before you can comment on or make changes to this bug.